/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Objects;
import java.util.UUID;

/**
 * NslcmSubscriptionInfo
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class NslcmSubscriptionInfo {
  @SerializedName("_id")
  private UUID _id = null;

  @SerializedName("_admin")
  private Object _admin = null;

  @SerializedName("schema_version")
  private String schemaVersion = null;

  @SerializedName("CallbackUri")
  private String callbackUri = null;

  @SerializedName("filter")
  private Object filter = null;

  @SerializedName("authentication")
  private Authenticationschema authentication = null;

  public NslcmSubscriptionInfo _id(UUID _id) {
    this._id = _id;
    return this;
  }

   /**
   * Get _id
   * @return _id
  **/
  @Schema(description = "")
  public UUID getId() {
    return _id;
  }

  public void setId(UUID _id) {
    this._id = _id;
  }

  public NslcmSubscriptionInfo _admin(Object _admin) {
    this._admin = _admin;
    return this;
  }

   /**
   * Get _admin
   * @return _admin
  **/
  @Schema(description = "")
  public Object getAdmin() {
    return _admin;
  }

  public void setAdmin(Object _admin) {
    this._admin = _admin;
  }

  public NslcmSubscriptionInfo schemaVersion(String schemaVersion) {
    this.schemaVersion = schemaVersion;
    return this;
  }

   /**
   * Get schemaVersion
   * @return schemaVersion
  **/
  @Schema(description = "")
  public String getSchemaVersion() {
    return schemaVersion;
  }

  public void setSchemaVersion(String schemaVersion) {
    this.schemaVersion = schemaVersion;
  }

  public NslcmSubscriptionInfo callbackUri(String callbackUri) {
    this.callbackUri = callbackUri;
    return this;
  }

   /**
   * Get callbackUri
   * @return callbackUri
  **/
  @Schema(description = "")
  public String getCallbackUri() {
    return callbackUri;
  }

  public void setCallbackUri(String callbackUri) {
    this.callbackUri = callbackUri;
  }

  public NslcmSubscriptionInfo filter(Object filter) {
    this.filter = filter;
    return this;
  }

   /**
   * Get filter
   * @return filter
  **/
  @Schema(description = "")
  public Object getFilter() {
    return filter;
  }

  public void setFilter(Object filter) {
    this.filter = filter;
  }

  public NslcmSubscriptionInfo authentication(Authenticationschema authentication) {
    this.authentication = authentication;
    return this;
  }

   /**
   * Get authentication
   * @return authentication
  **/
  @Schema(description = "")
  public Authenticationschema getAuthentication() {
    return authentication;
  }

  public void setAuthentication(Authenticationschema authentication) {
    this.authentication = authentication;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    NslcmSubscriptionInfo nslcmSubscriptionInfo = (NslcmSubscriptionInfo) o;
    return Objects.equals(this._id, nslcmSubscriptionInfo._id) &&
        Objects.equals(this._admin, nslcmSubscriptionInfo._admin) &&
        Objects.equals(this.schemaVersion, nslcmSubscriptionInfo.schemaVersion) &&
        Objects.equals(this.callbackUri, nslcmSubscriptionInfo.callbackUri) &&
        Objects.equals(this.filter, nslcmSubscriptionInfo.filter) &&
        Objects.equals(this.authentication, nslcmSubscriptionInfo.authentication);
  }

  @Override
  public int hashCode() {
    return Objects.hash(_id, _admin, schemaVersion, callbackUri, filter, authentication);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NslcmSubscriptionInfo {\n");
    
    sb.append("    _id: ").append(toIndentedString(_id)).append("\n");
    sb.append("    _admin: ").append(toIndentedString(_admin)).append("\n");
    sb.append("    schemaVersion: ").append(toIndentedString(schemaVersion)).append("\n");
    sb.append("    callbackUri: ").append(toIndentedString(callbackUri)).append("\n");
    sb.append("    filter: ").append(toIndentedString(filter)).append("\n");
    sb.append("    authentication: ").append(toIndentedString(authentication)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
